Mailinglist Archive: opensuse-edu (86 mails)

< Previous Next >
Re: [suse-linux-uk-schools] ps not working
  • From: "Frank Shute" <shute@xxxxxxxxxxxxxxxxxxxxx>
  • Date: Fri, 2 Mar 2001 20:35:20 +0000 (UTC)
  • Message-id: <20010302203309.A1896@xxxxxxxxxxxxxxxx>
On Fri, Mar 02, 2001 at 04:17:20PM -0000, Alex Brett wrote:
>
> > > ps: can't load library 'libc.so.5'
>
> OK, I found that the file didnt exist so
> downloaded an RPM of it - I installed it properly
> and it worked fine. PS works but seems to
> have changed - so does anyone have a copy of
> ps for Redhat Linux 6.2?

I'm not too sure what you mean by it `seems to have changed' but it
sounds rather worrying. I assumed you were running an old distro. For
6.2 the ps package is:

$ rpm -qpR /mnt/cdrom/RedHat/RPMS/procps-2.0.6-5.i386.rpm
..
libc.so.6
..

So if you're running RH6.2 then it suggests like Gary says that your
box has been cracked and you'll need to rebuild your machine since ps
has obviously been replaced with a version compiled against libc.so.5

FWIW, if you are running an old distro ie 5.X then you should upgrade
bind to something like:

bind-8.2.3-0.5.x.i386.rpm

I don't no the name of the one for 2.2 kernel distros. There was a
well advertised bind buffer overflow problem discovered a few weeks
ago.

If you have been cracked then in future it is worth following any
security announcements. I generally see them by reading:

http://linuxtoday.com/

But Cert is the definitive site: www.cert.org, I think.

--

Frank

*-------*-----*-----*-----*-----*-----*-----*-----*-----*-------*
| Boroughbridge | Tel: 01423 323019 | PGP keyID: 0xC0B341A3 |
*-------*-----*-----*-----*-----*-----*-----*-----*-----*-------*
http://www.esperance-linux.co.uk/



< Previous Next >
This Thread
References